import { RuleResult } from "./rules.js";
/**
 * Ensure that FEWER properties are not required in the response. MORE is okay.
 */
export function compareResponseRequiredRule(data) {
    if (!data.path)
        return;
    const path = data.path.join(".");
    if (!path.endsWith("required"))
        return;
    if (!path.includes("responses"))
        return;
    if (data.kind === "N") {
        return RuleResult.NoViolation;
    }
    if (data.kind === "D") {
        const message = `Response property '${path}' is required in the LHS but not the RHS.`;
        return [RuleResult.FlaggedViolation, message];
    }
}
//# sourceMappingURL=compare-response-required.js.map