import { RuleResult } from "./rules.js";
/**
 * Ignores differences in x-ms-enum values except modelAsString.
 */
export function compareXMsEnumRule(data) {
    if (!data.path)
        return;
    const path = data.path.join(".");
    const regex = /x-ms-enum\.(\w+)./;
    const match = path.match(regex);
    if (!match)
        return;
    const property = match[1];
    if (property === "modelAsString") {
        const lhs = data.lhs ?? "undefined";
        const rhs = data.rhs ?? "undefined";
        const message = `x-ms-enum.modelAsString changed from '${lhs}' to '${rhs}'.`;
        return [RuleResult.FlaggedViolation, message];
    }
    else {
        return RuleResult.NoViolation;
    }
}
//# sourceMappingURL=compare-x-ms-enum.js.map