import { RuleResult } from "./rules.js";
/**
 * Ignores differences in x-ms-identifiers when the arrays are empty.
 */
export function compareXMsIdentifiersRule(data) {
    if (!data.path)
        return;
    if (data.path[data.path.length - 1] !== "x-ms-identifiers") {
        return;
    }
    const lhs = data.lhs || [];
    const rhs = data.rhs || [];
    if (lhs.length === 0 && rhs.length === 0) {
        return RuleResult.NoViolation;
    }
}
//# sourceMappingURL=compare-x-ms-identifiers.js.map