import { RuleResult } from "./rules.js";
const specificPathsToIgnore = [
    "definitions",
    "parameters",
    "responses",
    "securityDefinitions",
];
export function ignoreSwaggerDefinitionsRule(data) {
    if (!data.path)
        return;
    const fullPath = data.path.join(".");
    for (const pathToIgnore of specificPathsToIgnore) {
        if (fullPath.startsWith(pathToIgnore)) {
            return RuleResult.NoViolation;
        }
    }
}
//# sourceMappingURL=ignore-swagger-definitions.js.map