import { Diff } from "deep-diff";
import { OpenAPIV2 } from "openapi-types";
/** Determines whether a diff rule applies and confirms an allowed or disallowed scenario. */
export declare enum RuleResult {
    /** The rule applies and flags a verified violation. Stop processing other rules for this diff. */
    FlaggedViolation = "F",
    /** No rule handled the diff, so it is assumed to be a violation. */
    AssumedViolation = "A",
    /** Rule applies and verifies this is not a violation. Stop processing other rules for this diff. */
    NoViolation = "N",
    /** Rule was a flagged or assumed violation, but manually suppressed. */
    Suppressed = "S"
}
export type RuleSignature = (data: Diff<any, any>, lhs?: OpenAPIV2.Document, rhs?: OpenAPIV2.Document) => RuleResult | [RuleResult, string] | undefined;
/** Returns the list of rules that should be applied, modified by any options. */
export declare function getApplicableRules(args: any): RuleSignature[];
//# sourceMappingURL=rules.d.ts.map