import { ReferenceMetadata } from "./util.js";
export interface SuppressionMetadata {
    path: string;
    reason: string;
}
export declare class SuppressionRegistry {
    private data;
    originalSuppressionCount: number;
    constructor(filepath: string);
    /**
     * Associate a transformed path with an original Swagger path for use
     * in suppression violations.
     * @param key the Swagger path which serves as a key
     * @param path the transformed path to add to the suppression list
     */
    add(path: string): void;
    /**
     * Returns true if a transformed path is included in the suppression list.
     * @param path The transformed path to check for suppression
     */
    has(path: string | undefined): boolean;
    propagateSuppression(ref: ReferenceMetadata, basePath: string[] | undefined): void;
}
//# sourceMappingURL=suppression.d.ts.map